org.apache.ignite.streamer

## Interface StreamerStageMetrics

All Known Implementing Classes:
  StreamerStageMetricsAdapter, StreamerStageMetricsHolder

    public interface StreamerStageMetrics

Streamer stage metrics.

### Method Summary

Methods
`long` `averageExecutionTime()` Gets stage average execution time.
`long` `averageWaitingTime()` Stage average waiting time.
`boolean` `executing()` Gets flag indicating if stage is being currently executed by at least one thread on current node.
`int` `failuresCount()` Gets stage failure count.
`long` `maximumExecutionTime()` Gets stage maximum execution time.
`long` `maximumWaitingTime()` Gets stage maximum waiting time.
`long` `minimumExecutionTime()` Gets stage minimum execution time.
`long` `minimumWaitingTime()` Gets stage minimum waiting time.
`String` `name()` Gets stage name.
`long` `totalExecutionCount()` Gets total stage execution count since last reset.

### Method Detail

#### name

    String name()

Gets stage name.

Returns:
  Stage name.

#### minimumExecutionTime

    long minimumExecutionTime()

Gets stage minimum execution time.

Returns:
  Stage minimum execution time.

#### maximumExecutionTime

    long maximumExecutionTime()

Gets stage maximum execution time.

Returns:
  Stage maximum execution time.

#### averageExecutionTime

    long averageExecutionTime()

Gets stage average execution time.

Returns:
  Stage average execution time.

#### minimumWaitingTime

    long minimumWaitingTime()

Gets stage minimum waiting time.

Returns:
  Stage minimum waiting time.

#### maximumWaitingTime

    long maximumWaitingTime()

Gets stage maximum waiting time.

Returns:
  Stage maximum waiting time.

#### averageWaitingTime

    long averageWaitingTime()

Stage average waiting time.

Returns:
  Stage average waiting time.

#### totalExecutionCount

    long totalExecutionCount()

Gets total stage execution count since last reset.

Returns:
  Number of times this stage was executed.

#### failuresCount

    int failuresCount()

Gets stage failure count.

Returns:
  Stage failure count.

#### executing

    boolean executing()

Gets flag indicating if stage is being currently executed by at least one thread on current node.

Returns:
  `True` if stage is executing now.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015